summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rwxr-xr-xuninstall.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/uninstall.sh b/uninstall.sh
new file mode 100755
index 0000000000..ed73c469d0
--- /dev/null
+++ b/uninstall.sh
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+
+set -ux
+
+function uninstall_linux {
+ echo "Uninstalling for Linux"
+ sudo rm -r ~/.cache/mullvad-daemon \
+ ~/.cache/mullvad-daemon/ \
+ ~/.config/MullvadVPN/ \
+ /root/.cache/mullvad-daemon/ \
+ /root/.config/mullvad-daemon
+}
+
+
+function uninstall_macos {
+ echo "Uninstalling for macOS"
+ sudo rm -r /Applications/MullvadVPN.app \
+ ~/Library/Logs/MullvadVPN \
+ ~/Library/Caches/mullvad-daemon \
+ ~/Library/Application\ Support/mullvad-daemon \
+ ~/Library/Application\ Support/MullvadVPN
+}
+
+echo "Uninstalling Mullvad VPN"
+case "$(uname -s)" in
+ Linux*) uninstall_linux;;
+ Darwin*) uninstall_macos;;
+ *) echo "Unsupported platform"; exit 1
+esac
+